System.Design 2.0.0.0 System.Web.UI.Design.ControlDesigner

In a visual designer, when you switch from Source to Design view, the markup that describes a control that is derived from the class is parsed and a design-time version of the control is created on the design surface. When you switch back to Source view, the design-time control code is persisted to the markup source and edited into the markup for the Web page.

Designers that are derived from the abstract base class provide design-time support for controls that are derived from the class.

Provides design-time support in a visual designer for controls that are derived from the class.

- Constructor
  2.0.0.0

  The .NET Framework internally constructs a new instance of a designer that is derived from the class when it creates the associated control on the design surface.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Boolean

  The implementation of the method typically involves unhooking events from the previous data source, and then attaching new events to the new data source.

  When overridden in a derived class, typically unhooks events from the previous data source, and then attaches new events to the new data source.

  true if a connection to a new data source was performed, typically; false if the old and new data sources are the same.

- Method
  2.0.0.0
  System.Void To be added.

  When overridden in a derived class, creates a new data source for the associated object.

- Method
  2.0.0.0
  System.Void ``

  When you override the method in a designer that is derived from the class, perform the necessary actions to set up the data-bound control so that when the design-time markup is retrieved, the control renders properly. Typically, you will associate a design-time data source rather than the live data source, for performance reasons.

  When overridden in a derived class, performs the necessary actions to set up the associated control that is derived from the class.

  The with which this designer is associated.
- Property
  2.0.0.0
  System.String To be added.

  The property is used to shadow the property of the class that is associated with this designer. The value of the property is persisted by the designer as a data-binding expression on the tag that is generated for the underlying object.

  Gets or sets the value of the property for the associated control.

- Property
  2.0.0.0
  System.String To be added.

  The property is used to shadow the property of the underlying object.

  Gets or sets the value of the property of the underlying object.

- Method
  2.0.0.0
  System.Void To be added.

  When overridden in a derived class, unhooks events from the current data source.

- Method
  2.0.0.0
  System.Void ``

  The method unhooks the event handlers for the designer from all data source events.

  Releases the unmanaged resources that are used by the object, and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  2.0.0.0
  System.String

  The class retrieves sample data that is used for binding purposes at design time before rendering the control. If the control is not data bound, it calls the method. If there is an error rendering the control, it calls the method.

  Generates the markup that is used to render the control at design time.

  The markup used to render the control at design time.

- Method
  2.0.0.0
  System.String

  The class retrieves sample data that is used for binding purposes at design time before rendering the control. The empty design-time control renders as a placeholder that contains the type name and control name.

  Provides the markup that is used to render the control at design time if the control is empty or if the data source cannot be retrieved.

  The markup used to render the control at design time with an empty data source.

- Method
  2.0.0.0
  System.String ``

  The error design-time control renders as a placeholder that contains the type name, the control name, and a message describing the error.

  Provides the markup that is used to render the control at design time when an error has occurred.

  The markup used to render the control at design time when an error has occurred.

  The that was thrown.
- Method
  2.0.0.0
  System.Void ``

  The designer host calls the method when it is ready to use the designer to render a control that is derived from the class. The method and its base methods configure properties and connect events that are necessary for the operation of the designer.

  Prepares the designer to view, edit, and design the associated control.

  A control derived from , which implements .
- Method
  2.0.0.0
  System.Void ``

  The method connects to the current data source. If the current data source is different from the data source to which the control was previously connected, or is true, the associated control is redrawn on the design surface.

  Called when the data source of the associated object changes.

  true to force the update of design-time markup; otherwise, false.
- Method
  2.0.0.0
  System.Void

  The method handles the event, which is raised when the schema of the data source to which the associated control is bound changes. Override the method to perform additional actions that are required when new schema is available.

  Called when the data source of the associated object loads a new schema.

- Method
  2.0.0.0
  System.Void ``

  Control designers use methods that are derived from the method to shadow various control properties with corresponding design-time properties that the designer implements, and to add or remove properties from the Properties grid.

  For the class, the shadows the property of the control. It makes a copy of the attribute array of the , and then adds these attributes to the shadowed property. It sets the attribute of the shadowed property to false unless the attribute of the property of the control is already set to true.

  Used by the designer to remove or add additional properties for display in the Properties grid or to shadow properties of the associated control.

  The containing the properties to filter.
- Method
  2.0.0.0
  System.Windows.Forms.DialogResult `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.